---
lang: en
title: 'API docs: core.lifecycleobservergroup'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobservergroup.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverGroup](./core.lifecycleobservergroup.md)

## LifeCycleObserverGroup type

A group of life cycle observers

**Signature:**

```typescript
export type LifeCycleObserverGroup = {
    group: string;
    bindings: Readonly<Binding<LifeCycleObserver>>[];
};
```
**References:** [Binding](./context.binding.md)<!-- -->, [LifeCycleObserver](./core.lifecycleobserver.md)


